<?php 

$prooms_table = $wpdb->prefix . "wpleader_prooms";
$seasons_table = $wpdb->prefix . "wpleader_seasons";
$events_table = $wpdb->prefix . "wpleader_events";
$players_table = $wpdb->prefix . "wpleader_players";
$results_table = $wpdb->prefix . "wpleader_results";

global $prooms_table;
global $seasons_table;
global $events_table;
global $players_table;
global $results_table;

global $wpdb;

	if($_POST['wppokerleague_hidden'] == 'Y') {
			//Form data sent
			
			if($_POST['wppokerleague_type'] == 'new_player') {
			
			$pname = $_POST['wppokerleague_pname'];  
			
			$insert = "INSERT INTO $players_table " . 
            " (pname) " .
            "VALUES ('" . $wpdb->escape($pname) . "')";

			$results = $wpdb->query( $insert );
			
			} elseif ($_POST['wppokerleague_type'] == 'edit_player') {
			
			$pid = $_POST['wppokerleague_pid'];  
			$pname = $_POST['wppokerleague_pname'];  
			
			$insert = "UPDATE $players_table SET " . 
            "pname='" . $wpdb->escape($pname) . "' WHERE pid='" . $wpdb->escape($pid) . "'";

			$results = $wpdb->query( $insert );

			}

			?>
			<div class="updated"><p><strong><?php _e('Record(s) saved.' ); ?></strong></p></div>
		<?php 

		} else {
			//Normal page display

			
		}

?>

		<div class="wrap">
			<?php    echo "<h2>" . __( 'WP Poker League Player Management', 'wppokerleague_trdom' ) . "</h2>"; ?>
			
<?php

// Determine if there are duplicate pnames.
$pnamedupe = get_wppokerleague_dupepname();

if($pnamedupe=="ok") { 
} else { 
?>
	<div class="updated"><p><strong><?php _e('Warning: Duplicate Player Names Detected.' ); ?></strong></p></div>
<?php } ?>
			
			
<?php
	if($_GET['action'] == 'edit') {
	// Edit link has been clicked
	
	$pid = $_GET['pid'];
	$player = get_wppokerleague_player($pid);
	
?>			
			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:325px;height:170px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_edit_player_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="edit_player">
					<input type="hidden" name="wppokerleague_pid" value="<?php echo $player->pid; ?>">
					<?php    echo "<h4>" . __( 'Edit Player', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<p><?php _e("Player Name: " ); ?><input type="text" name="wppokerleague_pname" value="<?php echo $player->pname; ?>" size="20"></p>
				
					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Update Player', 'wppokerleague_trdom' ) ?>" />
					or <a href="admin.php?page=wppokerleague_admin_players">Add New Player</a>
					</p>
				</form>
				</div>

			</div>
<?php } else { ?>		
			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:325px;height:170px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_new_player_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="new_player">
					<?php    echo "<h4>" . __( 'Add New Player', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<p><?php _e("Player Name: " ); ?><input type="text" name="wppokerleague_pname" value="" size="20"></p>
		
					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Add Player', 'wppokerleague_trdom' ) ?>" />
					</p>
				</form>
				</div>

			</div>
			
<?php } ?>		
	
			
				<div style="float:left;width:325px;margin:0px 15px 10px 0px;">
					<?php    echo "<h4>" . __( 'Manage Players', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<?php disp_wppokerleague_plist(); ?>
				</div>
		</div>
	