<?php 

$prooms_table = $wpdb->prefix . "wpleader_prooms";
$seasons_table = $wpdb->prefix . "wpleader_seasons";
$events_table = $wpdb->prefix . "wpleader_events";
$players_table = $wpdb->prefix . "wpleader_players";
$results_table = $wpdb->prefix . "wpleader_results";

global $prooms_table;
global $seasons_table;
global $events_table;
global $players_table;
global $results_table;

global $wpdb;

	if($_POST['wppokerleague_hidden'] == 'Y') {
			//Form data sent
			
			if($_POST['wppokerleague_type'] == 'new_room') {
			
			$name = $_POST['wppokerleague_roomname'];  
			$url = $_POST['wppokerleague_roomurl'];  
			
			$insert = "INSERT INTO $prooms_table " . 
            " (name,url) " .
            "VALUES ('" . $wpdb->escape($name) . "','" . $wpdb->escape($url) . "')";

			$results = $wpdb->query( $insert );

			} elseif ($_POST['wppokerleague_type'] == 'edit_room') {
			
			$id = $_POST['wppokerleague_roomid'];  
			$name = $_POST['wppokerleague_roomname'];  
			$url = $_POST['wppokerleague_roomurl'];  
			
			$insert = "UPDATE $prooms_table SET " . 
            "name='" . $wpdb->escape($name) . "',url='" . $wpdb->escape($url) . "' WHERE id='" . $wpdb->escape($id) . "'";

			$results = $wpdb->query( $insert );

			}

			?>
			<div class="updated"><p><strong><?php _e('Record(s) saved.' ); ?></strong></p></div>
		<?php 

		} else {
			//Normal page display

			
		}

?>

		<div class="wrap">
			<?php    echo "<h2>" . __( 'WP Poker League Poker Room Management', 'wppokerleague_trdom' ) . "</h2>"; ?>
			
			
<?php
	if($_GET['action'] == 'edit') {
	// Edit link has been clicked
	
	$id = $_GET['roomid'];
	$room = get_wppokerleague_roomname($id);

		if($_GET['subaction'] == 'delete') {

			$roomevents = get_wppokerleague_roomevents($id);
			
			if(empty($roomevents)) {
			?><div class="updated"><p><strong><?php _e('Warning: Are you sure you want to delete this Room? &nbsp;&nbsp;&nbsp;<a href="admin.php?page=wppokerleague_admin_prooms&action=deletenow&roomid=' . $id . '">Yes</a> | <a href="admin.php?page=wppokerleague_admin_prooms&action=edit&roomid=' . $id . '">No</a>' ); ?></strong></p></div><?php
			} else {
			?><div class="updated"><p><strong><?php _e('Warning: Cannot delete this Room, it is assigned to an event(s).' ); ?></strong></p></div><?php
			}
		}
		
	
?>			
			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:325px;height:170px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_edit_player_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="edit_room">
					<input type="hidden" name="wppokerleague_roomid" value="<?php echo $id; ?>">
					<?php    echo "<h4>" . __( 'Edit Poker Room', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<p><?php _e("Poker Room Name: " ); ?><input type="text" name="wppokerleague_roomname" value="<?php echo $room->name; ?>" size="20"></p>
					<p><?php _e("Poker Room URL: " ); ?><input type="text" name="wppokerleague_roomurl" value="<?php echo $room->url; ?>" size="20"></p>
				
					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Update Poker Room', 'wppokerleague_trdom' ) ?>" />
					</p>
					<ul>
					<li><a href="admin.php?page=wppokerleague_admin_prooms&action=edit&subaction=delete&roomid=<?php echo $id; ?>">Delete This Room</a></li>
					<li><a href="admin.php?page=wppokerleague_admin_prooms">Add New Poker Room</a></li>
					</ul>
				</form>
				</div>

			</div>
<?php } else {		

			if($_GET['action'] == 'deletenow') {
			
			$roomid = $_GET['roomid']; 
			delete_wppokerleague_room($roomid);
			?><div class="updated"><p><strong><?php _e('Poker Room has been deleted.' ); ?></strong></p></div>
			<p><a href="admin.php?page=wppokerleague_admin_prooms">Add New Poker Room</a></p><?php

			} else {
				
			?>

			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:325px;height:170px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_new_player_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="new_room">
					<?php    echo "<h4>" . __( 'Add New Poker Room', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<p><?php _e("Poker Room Name: " ); ?><input type="text" name="wppokerleague_roomname" value="" size="20"></p>
					<p><?php _e("Poker Room URL: " ); ?><input type="text" name="wppokerleague_roomurl" value="" size="20"></p>
		
					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Add Poker Room', 'wppokerleague_trdom' ) ?>" />
					</p>
				</form>
				</div>

			</div>
			
<?php 	} 
	} 
?>				
				<div style="float:left;width:525px;margin:0px 15px 10px 0px;">
					<?php    echo "<h4>" . __( 'Manage Poker Rooms', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<?php disp_wppokerleague_rlist(); ?>
				</div>
		</div>
	