<?php 

$prooms_table = $wpdb->prefix . "wpleader_prooms";
$seasons_table = $wpdb->prefix . "wpleader_seasons";
$events_table = $wpdb->prefix . "wpleader_events";
$players_table = $wpdb->prefix . "wpleader_players";
$results_table = $wpdb->prefix . "wpleader_results";

global $prooms_table;
global $seasons_table;
global $events_table;
global $players_table;
global $results_table;

if($_GET['op'] == 'results') {
	// EVENT SCORING

	global $wpdb;

	if(($_POST['wppokerleague_hidden'] == 'Y') && ($_POST['wppokerleague_type'] == 'updatescoring')) {
			//Form data sent
		
			$rows = $_POST['wppokerleague_rows'];
			$addrows = $_POST['wppokerleague_addlines'];
			
			//foreach ($rows as $row) {
			for ( $row = 0; $row < $rows; $row += 1) {
			
			$rid = $_POST['wppokerleague_rid'][$row];  
			$sid = $_POST['wppokerleague_sid'];  
			$eid = $_POST['wppokerleague_eid'];  
			$pid = $_POST['wppokerleague_pid'][$row];  
			$place = $_POST['wppokerleague_place'][$row];  
			$points = $_POST['wppokerleague_points'][$row];  
			$winnings = $_POST['wppokerleague_winnings'][$row];  

			$pnameadd = $_POST['wppokerleague_pnameadd'][$row];  

			// A new name to add, hooray!
			if ($pnameadd) {
				// Lets check if the name exists
				$playerexists = get_wppokerleague_playerpname ($pnameadd);
				
				if ($playerexists) {
				// Player exists already, don't add but assign points to this PID
					$pid = $playerexists->pid;
				} else {
				// It doesn't, lets add it.

				$insert = "INSERT INTO $players_table " . 
				" (pname) " .
				"VALUES ('" . $wpdb->escape($pnameadd) . "')";

				$results = $wpdb->query( $insert );

				// Get the pid of the newly added player exists
				$playerexists = get_wppokerleague_playerpname ($pnameadd);
				$pid = $playerexists->pid;
				}
			}
			
			$insert = "UPDATE $results_table SET " . 
			"pid='" . $wpdb->escape($pid) . "',
			place='" . $wpdb->escape($place) . "',
			points='" . $wpdb->escape($points) . "',
			winnings='" . $wpdb->escape($winnings) . "' 
			WHERE rid='" . $wpdb->escape($rid) . "'";

			$results = $wpdb->query( $insert );
			
			//echo $row. ": " . $insert . "<br>";

			}
			
			if((preg_match("/^\d+$/", $addrows)) && ($addrows > 0)) {
			
				$maxentrants = get_wppokerleague_maxentrants($eid);
								
				for ($addrow = 1; $addrow <= $addrows; $addrow += 1) {
				
					$addplace = $maxentrants->max + $addrow;
					
					$insert = "INSERT INTO $results_table " . 
					" (sid,eid,pid,place,points,winnings) " .
					"VALUES ('" . $wpdb->escape($sid) . "','" . $wpdb->escape($eid) . "','1','" . $addplace . "','','')";	

					$results = $wpdb->query( $insert );
					
				}
			}

			?>

			<div class="updated"><p><strong><?php _e('Record(s) saved.' ); ?></strong></p></div>
	<?php 
	} elseif (($_POST['wppokerleague_hidden'] == 'Y') && ($_POST['wppokerleague_type'] == 'insertscoring')) {
			//Form data sent

			$rows = $_POST['wppokerleague_rows'];

			//foreach ($rows as $row) {
			for ( $row = 1; $row < $rows; $row += 1) {
	
			$sid = $_POST['wppokerleague_sid'];  
			$eid = $_POST['wppokerleague_eid'];  
			$pid = $_POST['wppokerleague_pid'][$row];  
			$place = $_POST['wppokerleague_place'][$row];  
			$points = $_POST['wppokerleague_points'][$row];  
			$winnings = $_POST['wppokerleague_winnings'][$row];  

			$pnameadd = $_POST['wppokerleague_pnameadd'][$row];  

			// A new name to add, hooray!
			if ($pnameadd) {
				// Lets check if the name exists
				$playerexists = get_wppokerleague_playerpname ($pnameadd);
				
				if ($playerexists) {
				// Player exists already, don't add but assign points to this PID
					$pid = $playerexists->pid;
				} else {
				// It doesn't, lets add it.

				$insert = "INSERT INTO $players_table " . 
				" (pname) " .
				"VALUES ('" . $wpdb->escape($pnameadd) . "')";

				$results = $wpdb->query( $insert );

				// Get the pid of the newly added player exists
				$playerexists = get_wppokerleague_playerpname ($pnameadd);
				$pid = $playerexists->pid;
				}
			}


			
			$insert = "INSERT INTO $results_table " . 
            " (sid,eid,pid,place,points,winnings) " .
            "VALUES ('" . $wpdb->escape($sid) . "','" . $wpdb->escape($eid) . "','" . $wpdb->escape($pid) . "','" . $wpdb->escape($place) . "','" . $wpdb->escape($points) . "','" . $wpdb->escape($winnings). "')";


			$results = $wpdb->query( $insert );
			
			//echo $row. ": " . $insert . "<br>";

			}
?>
			<div class="updated"><p><strong><?php _e('Record(s) saved.' ); ?></strong></p></div>
<?php
	} else {
	//FORM NOT SUBMITTED, HEADER INFO CAN GO HERE

	}

	?>

	<div class="wrap">
	<?php
	echo "<h2>" . __( 'WP Poker League Results Management', 'wppokerleague_trdom' ) . "</h2>"; 
	
	$eid = $_GET['eid'];
	$show = "999";
	$event = get_wppokerleague_event($eid);

	$evresults = get_wppokerleague_eresults($eid,$show);

	if(empty($evresults))
	{
	
		if ($_POST['wppokerleague_type'] != 'scoring')
		{
		
			// DISPLAY EMPTY FORM
			?>
			<p>No results have been entered for this event yet. Would you like to enter them now?</p>
			<form name="wppokerleague_entrants_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
			<p><?php _e("Number of Entrants: " ); ?><input type="text" name="wppokerleague_entrants" value="" size="20"></p>
			<p><?php _e("Scoring Type: " ); ?>
			<SELECT NAME="wppokerleague_scoring_method">
				<OPTION VALUE="0" SELECTED>Manual Scoring (default) &nbsp;
				<OPTION VALUE="1">PokerStars TLB Points
				<OPTION VALUE="2">Reverse Finish Points
			</SELECT>
			</p>

			<input type="hidden" name="wppokerleague_eid" value="<?php echo $eid; ?>">
			<input type="hidden" name="wppokerleague_type" value="scoring">
			<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Begin Scoring', 'wppokerleague_trdom' ) ?>" />
			</p>
			</form>		
			<br><br>	

		<?php
		}

	
		if ($_POST['wppokerleague_type'] == 'scoring')
		{
			// READY TO SCORE, BUILD SCORE SHEET
			$entrants = $_POST['wppokerleague_entrants'];

			?>

			<div style="margin-right:25px;width:740px;">
			<div style="float:left;margin:0px 15px 10px 0px;">
			<form name="wppokerleague_results_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
			<?php    echo "<h4>" . __( 'Enter Results', 'wppokerleague_trdom' ) . "</h4>"; ?>

			<div class="wp-leader-container">

			<?php
			// Load the Stylesheet
			echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/wp-pokerleague/css/style.css" />' . "\n";

			//Get the SID based on EID
			$sid = get_wppokerleague_sid($eid);

			//Get the Event Name based on EID
			$ename = get_wppokerleague_ename($sid,$eid);

			//Get the Season Name based on SID
			$sname = get_wppokerleague_sname($sid);

			?>

			<h3><?php echo $sname . " - " . $ename; ?> Results</h3>		
			<table id="wp-leader-table" border="0">
			<thead>
			<tr>
			<th scope="col"><strong>Place</strong></th>
			<th scope="col"><strong>Name</strong></th>
			<th scope="col">(or add player)</th>
			<th scope="col"><strong>Points</strong></th>
			<th scope="col"><strong>$$ Won</strong></th>
			</tr>
			</thead>
			<tbody>
			<?php

			$players = $wpdb->get_results("SELECT pid,pname FROM $players_table ORDER by pname");
			
			// Get Buyin Info for Autoscore (may not be needed)
			$eventinfo = get_wppokerleague_event($eid);
			$buyin = $eventinfo->ebuy;
			
			// Set increment value
			$i = 1;

			for ( $entrant = 0; $entrant < $entrants; $entrant += 1) {
			
			// Autoscore if selected
			
			if ($_POST['wppokerleague_scoring_method'] == 1) {
			$varn = $entrants;
			$vark = $i;
			$varb = $buyin;
			$addtnl = '.25';
			$newpoints = 10 * (sqrt($varn)/sqrt($vark)) * (1+log($varb+0.25,10));
			$newpoints = round($newpoints,2);
			}
			if ($_POST['wppokerleague_scoring_method'] == 2) {
			$varn = $entrants;
			$newpoints = $entrants - $i + 1;
			}
						
			
				//$players = get_wppokerleague_player($evresult->pid);

				echo '<tr>';
				echo '<td><input type="hidden" name="wppokerleague_place[' . $i . ']" value="'. $i .'">' . $i . '</td>';
				echo '<td>';

				echo '<select name="wppokerleague_pid[' . $i . ']">';
				echo "<option value='0'>Select Player &nbsp;&nbsp;</option>";


				foreach ($players as $player) {
					$s = "";
					if ($player->pid == $evresult->pid) { $s = " selected='selected' "; }

					echo "<option value='" . $player->pid . "' " . $s ."'>" . $player->pname . " &nbsp;&nbsp;</option>";
				}

				echo '</select>';

				echo '</td>';

				echo '<td><input type="text" name="wppokerleague_pnameadd[' . $i . ']" value="" size="20"></td>';
				echo '<td><input type="text" name="wppokerleague_points[' . $i . ']" value="' . $newpoints . '" size="15"></td>';
				echo '<td><input type="text" name="wppokerleague_winnings[' . $i . ']" value="" size="15"></td>';
				echo '</tr>';

				$i = $i +1;

			} // end the results loop.

			?>

			</tbody>
			</table>
			</div>


			<div>


			<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Update Results', 'wppokerleague_trdom' ) ?>" />
			</p>
			<input type="hidden" name="wppokerleague_hidden" value="Y">
			<input type="hidden" name="wppokerleague_type" value="insertscoring">
			<input type="hidden" name="wppokerleague_eid" value="<?php echo $eid; ?>">
			<input type="hidden" name="wppokerleague_rows" value="<?php echo $i; ?>">
			<input type="hidden" name="wppokerleague_sid" value="<?php echo $sid; ?>">
			</form>
			</div>
			</div>

			</div>



	<?php
		}
	} else
	{
	// EXISTING RESULTS

	
	?>			
		<div style="margin-right:25px;width:740px;">
			<div style="float:left;margin:0px 15px 10px 0px;">
			<form name="wppokerleague_results_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
				<input type="hidden" name="wppokerleague_hidden" value="Y">
				<input type="hidden" name="wppokerleague_type" value="updatescoring">
				<input type="hidden" name="wppokerleague_eid" value="<?php echo $eid; ?>">
				<?php    echo "<h4>" . __( 'Enter Results', 'wppokerleague_trdom' ) . "</h4>"; ?>
			
<div class="wp-leader-container">

<?php
// Load the Stylesheet
echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/wp-pokerleague/css/style.css" />' . "\n";

//Get the SID based on EID
$sid = get_wppokerleague_sid($eid);
  
//Get the Event Name based on EID
$ename = get_wppokerleague_ename($sid,$eid);

//Get the Season Name based on SID
$sname = get_wppokerleague_sname($sid);

// Determine if there are duplicate PID's in results
$status = get_wppokerleague_dupepid($eid);

if($status=="ok") { 
} else { 
?>
<div class="updated"><p><strong><?php _e('Warning: Duplicate Players Detected.' ); ?></strong></p></div>
<?php } ?>

<?php

// Determine if there are duplicate PID's in results
$phstatus = get_wppokerleague_PLACEHOLDER($eid)	;

if($phstatus=="ok") { 
} else { 
?>
<div class="updated"><p><strong><?php _e('Warning: PLACEHOLDER player in use.' ); ?></strong></p></div>
<?php } ?>

<h3><?php echo $sname . " - " . $ename; ?> Results</h3>		
<table id="wp-leader-table" border="0">
<thead>
<tr>
<th scope="col"><strong>Place</strong></th>
<th scope="col"><strong>Name</strong></th>
<th scope="col">(or add player)</th>
<th scope="col"><strong>Points</strong></th>
<th scope="col"><strong>$$ Won</strong></th>
</tr>
</thead>
<tbody>
<?php

$evresults = get_wppokerleague_eresults($eid,$show);
$players = $wpdb->get_results("SELECT pid,pname FROM $players_table ORDER by pname");

$i = 0;

foreach ($evresults as $evresult) {


//$players = get_wppokerleague_player($evresult->pid);

echo '<tr>';
echo '<td><input type="hidden" name="wppokerleague_place[' . $i . ']" value="'. $evresult->place . '">' . '<input type="hidden" name="wppokerleague_rid[' . $i . ']" value="'. $evresult->rid . '">' . $evresult->place . '</td>';
echo '<td>';

echo '<select name="wppokerleague_pid[' . $i . ']">';


foreach ($players as $player) {

$s = "";
if ($player->pid == $evresult->pid) { $s = " selected='selected' "; }

echo "<option value='" . $player->pid . "' " . $s ."'>" . $player->pname . " &nbsp;&nbsp;</option>";
}

echo '</select>';

echo '</td>';

echo '<td><input type="text" name="wppokerleague_pnameadd[' . $i . ']" value="" size="20"></td>';
echo '<td><input type="text" name="wppokerleague_points[' . $i . ']" value="' . $evresult->points . '" size="20"></td>';
echo '<td><input type="text" name="wppokerleague_winnings[' . $i . ']" value="' . $evresult->winnings . '" size="20"></td>';
echo '</tr>';

$i = $i +1;

} // end the results loop.

?>

</tbody>
</table>
<p style="text-align:left;">Add scoring rows end of results: <input type="text" value="0" size="10" name="wppokerleague_addlines"></p>
</div>
			

		<div>
		<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Update Results', 'wppokerleague_trdom' ) ?>" />
		</p>
		<input type="hidden" name="wppokerleague_rows" value="<?php echo $i; ?>">
		<input type="hidden" name="wppokerleague_sid" value="<?php echo $sid; ?>">
	</form>
	</div>
	</div>

		</div>

	</div>






	<?php
	}

} else {

// EVENT META MANAGEMENT
	global $wpdb;

	if($_POST['wppokerleague_hidden'] == 'Y') {
			//Form data sent
			
			if($_POST['wppokerleague_type'] == 'new_event') {
			
			$sid = $_POST['wppokerleague_sid'];  
			$ename = $_POST['wppokerleague_ename'];  
			$ebuy = $_POST['wppokerleague_ebuy'];  
			$edate = $_POST['wppokerleague_edate'];  
			$etime = $_POST['wppokerleague_time'];  
			$etype = $_POST['wppokerleague_etype'];  
			$roomid = $_POST['wppokerleague_proom'];  
			$etournid = $_POST['wppokerleague_etournid'];  
			$epass = $_POST['wppokerleague_epass'];  
			$enotes = $_POST['wppokerleague_enotes'];  
			
			$insert = "INSERT INTO $events_table " . 
            " (sid, ename, ebuy, edate, etime, etype, roomid, etournid, epass, enotes) " .
            "VALUES ('" . $wpdb->escape($sid) . "','" . $wpdb->escape($ename) . "','" . $wpdb->escape($ebuy) . "','" . $wpdb->escape($edate) . "','" . $wpdb->escape($etime) . "','" . $wpdb->escape($etype) . "','" . $roomid . "','" . $wpdb->escape($etournid) . "','" . $wpdb->escape($epass) . "','" . $wpdb->escape($enotes) . "')";

			$results = $wpdb->query( $insert );
			
			} elseif ($_POST['wppokerleague_type'] == 'edit_event') {
			
			$eid = $_POST['wppokerleague_eid'];  
			$sid = $_POST['wppokerleague_sid'];  
			$ename = $_POST['wppokerleague_ename'];  
			$ebuy = $_POST['wppokerleague_ebuy'];  
			$edate = $_POST['wppokerleague_edate'];  
			$etime = $_POST['wppokerleague_time'];  
			$etype = $_POST['wppokerleague_etype'];  
			$roomid = $_POST['wppokerleague_proom'];  
			$etournid = $_POST['wppokerleague_etournid'];  
			$epass = $_POST['wppokerleague_epass'];  
			$enotes = $_POST['wppokerleague_enotes'];  
			
			$insert = "UPDATE $events_table SET " . 
            "sid='" . $wpdb->escape($sid) . "',ename='" . $wpdb->escape($ename) . "',ebuy='" . $wpdb->escape($ebuy) . "',edate='" . $wpdb->escape($edate) . "',etime='" . $wpdb->escape($etime) . "',etype='" . $wpdb->escape($etype) . "',roomid='" . $roomid . "',etournid='" . $wpdb->escape($etournid) . "',epass='" . $wpdb->escape($epass) . "',enotes='" . $wpdb->escape($enotes) . "' WHERE eid='" . $wpdb->escape($eid) . "'";
			
			
			$results = $wpdb->query( $insert );

			}

			?>
			<div class="updated"><p><strong><?php _e('Record(s) saved.' );  ?></strong></p></div>
		<?php 
		} else {
			//Normal page display

		}
		
	// Get seasons for pulldown menu
	$seasons = $wpdb->get_results("SELECT sid,sname FROM $seasons_table ORDER by sid desc");

	// Get poker rooms for pulldown menu
	$pokerrooms = get_wppokerleague_rooms();

?>

		<div class="wrap">
			<?php    echo "<h2>" . __( 'WP Poker League Event Management', 'wppokerleague_trdom' ) . "</h2>"; ?>
			
			
			
<?php
	if($_GET['action'] == 'edit') {
	// Edit link has been clicked
	
	$eid = $_GET['eid'];
	$event = get_wppokerleague_event($eid);
	
		if($_GET['subaction'] == 'delete') {
		
		$existingresults = get_wppokerleague_eresults ($eid,1);
		
		if(empty($existingresults)) {
		$message = 'Are you sure you want to delete this Event? &nbsp;&nbsp;&nbsp;<a href="admin.php?page=wppokerleague_admin_event&action=deletenow&eid=' . $eid . '">Yes</a> | <a href="admin.php?page=wppokerleague_admin_event&action=edit&eid=' . $eid . '">No</a>';
		} else {
		$message = 'This event has already been scored!!!! Are you sure you want to continue and delete this Event? &nbsp;&nbsp;&nbsp;<a href="admin.php?page=wppokerleague_admin_event&action=deletenow&eid=' . $eid . '">Yes</a> | <a href="admin.php?page=wppokerleague_admin_event&action=edit&eid=' . $eid . '">No</a>';
		}
			?><div class="updated"><p><strong><?php _e('Warning: ' . $message ); ?></strong></p></div>
		<?php

		}
	
?>			

  <link type="text/css" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/css/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
  <script type="text/javascript" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/js/jquery-1.3.2.min.js"></script>
  <script type="text/javascript" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/development-bundle/ui/ui.datepicker.js"></script>

  <script type="text/javascript">

$(function() {
$("#datepicker").datepicker({dateFormat: 'yy-mm-dd'});
});
	</script>


  
			<div style="margin-right:25px;width:740px;margin:0px 15px 10px 0px;">
					<?php    echo "<h4>" . __( 'Edit Event', 'wppokerleague_trdom' ) . "</h4>"; ?>

					<form name="wppokerleague_update_event_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="edit_event">
					<input type="hidden" name="wppokerleague_eid" value="<?php echo $event->eid; ?>">
					<table border="0">
					<tbody>
					<tr>
					<td><?php _e("Event Name: " ); ?></td>
					<td width="280"><input type="text" name="wppokerleague_ename" value="<?php echo $event->ename; ?>" size="20" tabindex="1"></td>
					<td><?php _e("Poker Room: " ); ?></td>
					<td>
					<select name="wppokerleague_proom" tabindex="6">
					<?php 
					foreach ($pokerrooms as $pokerroom) {

					$s = "";
					if ($pokerroom->id == $event->roomid) { $s = "selected='selected' "; }

					echo "<option value='" . $pokerroom->id . "' " . $s ."'>" . $pokerroom->name . " &nbsp;&nbsp;</option>";
					}
					?>
					</select>
					</td>
					</tr>
					<tr>
					<td><?php _e("Season: " ); ?></td>
					<td>
					<select name="wppokerleague_sid" tabindex="2">
					<?php 

					foreach ($seasons as $season) {

					$s = "";
					if ($event->sid == $season->sid) { $s = "selected='selected' "; }

					echo "<option value='" . $season->sid . "' " . $s ."'>" . $season->sname . " &nbsp;&nbsp;</option>";
					}
					?>
					</select>
					</td>
					<td><?php _e("Type: " ); ?></td>
					<td>
					<select name="wppokerleague_etype" tabindex="7">
<?php
$s = "";
if ($event->etype == "online" ) { $s_online = " selected='selected' "; }
if ($event->etype == "live" ) { $s_live = " selected='selected' "; }
?>
					<option value='online' <?php echo $s_online; ?>>Online&nbsp;&nbsp;</option>
					<option value='live' <?php echo $s_live; ?>>Live&nbsp;&nbsp;</option>
					</select>
					</td>
					</tr>
					<tr>
					<td><?php
					$today = date("Y-m-d"); 		
					_e("Date: " ); ?>
					</td>
					<td><input type="text" id="datepicker" name="wppokerleague_edate" value="<?php echo $event->edate; ?>" size="20" tabindex="3"><?php _e(" ex: $today" ); ?></td>
					<td><?php _e("Tourney ID: " ); ?></td>
					<td><input type="text" name="wppokerleague_etournid" value="<?php echo $event->etournid; ?>" size="20" tabindex="8"></td>
					</tr>
					<tr>
					<td><?php _e("Time: " ); ?></td>
					<td><input type="text" name="wppokerleague_time" value="<?php echo $event->etime; ?>" size="20" tabindex="4"><?php _e(" ex: 14:30:00" ); ?></td>
					<td><?php _e("Tourney Pass: " ); ?></td>
					<td><input type="text" name="wppokerleague_epass" value="<?php echo $event->epass; ?>" size="20" tabindex="9"></td>
					</tr>
					<tr>
					<td><?php _e("Buyin: " ); ?></td>
					<td><input type="text" name="wppokerleague_ebuy" value="<?php echo $event->ebuy; ?>" size="20" tabindex="5"><?php _e(" ex: 5.00" ); ?></td>
					<td><?php _e("Notes: " ); ?></td>
					<td><textarea name="wppokerleague_enotes" rows="2" cols="20" tabindex="10"><?php echo $event->enotes; ?></textarea></td>
					</tr>
					</tbody>

					</table>

					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Update Event', 'wppokerleague_trdom' ) ?>" />
					<ul>
					<li><a href="admin.php?page=wppokerleague_admin_event&action=edit&subaction=delete&eid=<?php echo $eid; ?>">Delete This Event</a></li>
					<li><a href="admin.php?page=wppokerleague_admin_event">Add New Event</a></li>
					</ul>
					</p>
					</form>
			</div>
<?php } else {

	// Delete the Event as Requested
	if($_GET['action'] == 'deletenow') {
	
	$eid = $_GET['eid']; 
	delete_wppokerleague_event($eid);
	?><div class="updated"><p><strong><?php _e('Event has been deleted.' ); ?></strong></p></div>
	<p><a href="admin.php?page=wppokerleague_admin_event">Add New Event</a></p><?php
	$_GET['action'] = "";
	} else {
 ?>		

  <link type="text/css" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/css/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
  <script type="text/javascript" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/js/jquery-1.3.2.min.js"></script>
  <script type="text/javascript" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/wp-pokerleague/lib/development-bundle/ui/ui.datepicker.js"></script>

  <script type="text/javascript">

$(function() {
$("#datepicker").datepicker({dateFormat: 'yy-mm-dd'});
});
	</script>
			<div style="margin-right:25px;width:740px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_new_event_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="new_event">
					<?php    echo "<h4>" . __( 'Add New Event', 'wppokerleague_trdom' ) . "</h4>"; ?>

					<table border="0">
					<tbody>
					<tr>
					<td><?php _e("Event Name: " ); ?></td>
					<td width="280"><input type="text" name="wppokerleague_ename" value="" size="20" tabindex="1"></td>
					<td><?php _e("Poker Room: " ); ?></td>
					<td>
					<select name="wppokerleague_proom" tabindex="6">
					<?php 
					foreach ($pokerrooms as $pokerroom) {

					$s = "";
					if ($pokerroom->id == $event->roomid) { $s = "selected='selected' "; }

					echo "<option value='" . $pokerroom->id . "' " . $s ."'>" . $pokerroom->name . " &nbsp;&nbsp;</option>";
					}
					?>
					</select>
					</td>
					</tr>
					<tr>
					<td><?php _e("Season: " ); ?></td>
					<td>
					<select name="wppokerleague_sid" tabindex="2">
					<?php 

					foreach ($seasons as $season) {

					$s = "";
					if ($event->sid == $season->sid) { $s = "selected='selected' "; }

					echo "<option value='" . $season->sid . "' " . $s ."'>" . $season->sname . " &nbsp;&nbsp;</option>";
					}
					?>
					</select>
					</td>
					<td><?php _e("Type: " ); ?></td>
					<td>
					<select name="wppokerleague_etype" tabindex="7">
					<option value='online'>Online&nbsp;&nbsp;</option>
					<option value='live'>Live&nbsp;&nbsp;</option>
					</select>
					</td>
					</tr>
					<tr>
					<td><?php
					$today = date("Y-m-d"); 		
					_e("Date: " ); ?>
					</td>
					<td><input type="text" id="datepicker" name="wppokerleague_edate" value="" size="20" tabindex="3"><?php _e(" ex: $today" ); ?></td>
					<td><?php _e("Tourney ID: " ); ?></td>
					<td><input type="text" name="wppokerleague_etournid" value="" size="20" tabindex="8"></td>
					</tr>
					<tr>
					<td><?php _e("Time: " ); ?></td>
					<td><input type="text" name="wppokerleague_time" value="" size="20" tabindex="4"><?php _e(" ex: 14:30:00" ); ?></td>
					<td><?php _e("Tourney Pass: " ); ?></td>
					<td><input type="text" name="wppokerleague_epass" value="" size="20" tabindex="9"></td>
					</tr>
					<tr>
					<td><?php _e("Buyin: " ); ?></td>
					<td><input type="text" name="wppokerleague_ebuy" value="" size="20" tabindex="5"><?php _e(" ex: 5.00" ); ?></td>
					<td><?php _e("Notes: " ); ?></td>
					<td><textarea name="wppokerleague_enotes" rows="2" cols="20" tabindex="10"></textarea></td>
					</tr>
					</tbody>

					</table>




					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Add Event', 'wppokerleague_trdom' ) ?>" />
					</p>
				</form>

			</div>
			
<?php 
	// End the If/Else post delete
	}
// End the If/Else for Edit/Add
} ?>		
	
			
			<div style="margin-right:25px;width:740px;margin:0px 15px 10px 0px;">
					<?php    echo "<h4>" . __( 'Manage Events', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<?php disp_wppokerleague_elist(); ?>
			</div>
		</div>
<?php } ?>