<?php 

$prooms_table = $wpdb->prefix . "wpleader_prooms";
$seasons_table = $wpdb->prefix . "wpleader_seasons";
$events_table = $wpdb->prefix . "wpleader_events";
$players_table = $wpdb->prefix . "wpleader_players";
$results_table = $wpdb->prefix . "wpleader_results";

global $prooms_table;
global $seasons_table;
global $events_table;
global $players_table;
global $results_table;

	global $wpdb;

	if($_POST['wppokerleague_hidden'] == 'Y') {
			//Form data sent
			
			if($_POST['wppokerleague_type'] == 'new_season') {
			
			$sname = $_POST['wppokerleague_sname'];  
			$sevents = $_POST['wppokerleague_sevents'];  
			
			$insert = "INSERT INTO $seasons_table " . 
            " (sname,sevents) " .
            "VALUES ('" . $wpdb->escape($sname) . "','" . $wpdb->escape($sevents) . "')";

			$results = $wpdb->query( $insert );
			
			} elseif ($_POST['wppokerleague_type'] == 'edit_season') {
			
			$sid = $_POST['wppokerleague_sid'];  
			$sname = $_POST['wppokerleague_sname'];  
			$sevents = $_POST['wppokerleague_sevents'];  
			
			$insert = "UPDATE $seasons_table SET " . 
            "sname='" . $wpdb->escape($sname) . "', sevents='" . $wpdb->escape($sevents) . "' WHERE sid='" . $wpdb->escape($sid) . "'";

			$results = $wpdb->query( $insert );

			}

			?>
			<div class="updated"><p><strong><?php _e('Record(s) saved.' ); ?></strong></p></div>
		<?php 

		} else {
			//Normal page display

			
		}

		
		
	// Get seasons for pulldown menu
	$seasons = $wpdb->get_results("SELECT sid,sname FROM $seasons_table ORDER by sid desc");
		
?>

		<div class="wrap">
			<?php    echo "<h2>" . __( 'WP Poker League Season Management', 'wppokerleague_trdom' ) . "</h2>"; ?>
			
			
			
<?php
	if($_GET['action'] == 'edit') {
	// Edit link has been clicked
	
	$sid = $_GET['sid'];
	$season = get_wppokerleague_season($sid);
	
		if($_GET['subaction'] == 'delete') {

		$seasonevents = get_wppokerleague_seasonevents($sid);
		
			if(empty($seasonevents)) {
			?><div class="updated"><p><strong><?php _e('Warning: Are you sure you want to delete this season? &nbsp;&nbsp;&nbsp;<a href="admin.php?page=wppokerleague_admin_season&action=deletenow&sid=' . $sid . '">Yes</a> | <a href="admin.php?page=wppokerleague_admin_season&action=edit&sid=' . $sid . '">No</a>' ); ?></strong></p></div><?php
			} else {
			?><div class="updated"><p><strong><?php _e('Warning: Cannot delete this season, it has events.' ); ?></strong></p></div><?php
			}
		}

	
?>			
			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:325px;height:170px;margin:0px 15px 10px 0px;">
				<form name="wppokerleague_new_event_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
					<input type="hidden" name="wppokerleague_hidden" value="Y">
					<input type="hidden" name="wppokerleague_type" value="edit_season">
					<input type="hidden" name="wppokerleague_sid" value="<?php echo $season->sid; ?>">
					<?php    echo "<h4>" . __( 'Edit Season', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<p><?php _e("Season Name: " ); ?><input type="text" name="wppokerleague_sname" value="<?php echo $season->sname; ?>" size="20"></p>
					<p><?php _e("# of Events: " ); ?><input type="text" name="wppokerleague_sevents" value="<?php echo $season->sevents; ?>" size="20"></p>
				
					<p class="submit">
					<input type="submit" name="Submit" value="<?php _e('Update Season', 'wppokerleague_trdom' ) ?>" />
					</p>
					<ul>
					<li><a href="admin.php?page=wppokerleague_admin_season&action=edit&subaction=delete&sid=<?php echo $season->sid; ?>">Delete This Season</a></li>
					<li><a href="admin.php?page=wppokerleague_admin_season">Add New Season</a></li>
					</ul>
					
				</form>
				</div>

			</div>
<?php } else {

			if($_GET['action'] == 'deletenow') {
			
			$sid = $_GET['sid']; 
			delete_wppokerleague_season ($sid);
			?><div class="updated"><p><strong><?php _e('Season has been deleted.' ); ?></strong></p></div>
			<p><a href="admin.php?page=wppokerleague_admin_season">Add New Season</a></p><?php

			} else {
			
			wp_leader_addseasonform();
	
			}
			
	  } ?>		
	
			
			<div style="margin-right:25px;width:740px;">
				<div style="float:left;width:355px;margin:0px 15px 10px 0px;">
					<?php    echo "<h4>" . __( 'Manage Seasons', 'wppokerleague_trdom' ) . "</h4>"; ?>
					<?php disp_wppokerleague_slist(); ?>
				</div>
			</div>
		</div>
	